cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles/fp_5d6e7f8091a2b3c4d5e6f708192a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.get_settings_fulfillment_profile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.getSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->getSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().getSettingsFulfillmentProfile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.GetSettingsFulfillmentProfileAsync("fp_5d6e7f8091a2b3c4d5e6f708192a3b4c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.getSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().GetSettingsFulfillmentProfile(context.Background(), "fp_5d6e7f8091a2b3c4d5e6f708192a3b4c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Fulfillment profiles
Retrieve a fulfillment profile
Returns one fulfillment profile by its id.
GET
/
settings
/
fulfillment_profiles
/
{fulfillment_profile_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles/fp_5d6e7f8091a2b3c4d5e6f708192a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.get_settings_fulfillment_profile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.getSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->getSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().getSettingsFulfillmentProfile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.GetSettingsFulfillmentProfileAsync("fp_5d6e7f8091a2b3c4d5e6f708192a3b4c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.getSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().GetSettingsFulfillmentProfile(context.Background(), "fp_5d6e7f8091a2b3c4d5e6f708192a3b4c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the profile under
fulfillment_profile, with its name, display_name, description, status and version.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment profile's id, from the listing.
Response
The fulfillment profile, under fulfillment_profile.
Show child attributes
Show child attributes